QScintilla: QsciLexerYAML Class Reference

QScintilla 2.6.1

- Main Page
- Classes
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Public Member Functions | Protected Member Functions
QsciLexerYAML Class Reference

`#include <qscilexeryaml.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Comment = 1, Identifier = 2,
  Keyword = 3, Number = 4, Reference = 5,
  DocumentDelimiter = 6, TextBlockMarker = 7, SyntaxErrorMarker = 8,
  Operator = 9
  }

## Public Slots

- virtual void setFoldComments (bool fold)

## Public Member Functions

- QsciLexerYAML (QObject *parent=0, const char *name=0)
- virtual ~QsciLexerYAML ()
- const char * language () const
- const char * lexer () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- void refreshProperties ()
- bool foldComments () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerYAML class encapsulates the Scintilla YAML lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the YAML lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  Identifier | An identifier.
  Keyword | A keyword.
  Number | A number.
  Reference | A reference.
  DocumentDelimiter | A document delimiter.
  TextBlockMarker | A text block marker.
  SyntaxErrorMarker | A syntax error marker.
  Operator | An operator.

## Constructor & Destructor Documentation

QsciLexerYAML::QsciLexerYAML | ( | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Construct a QsciLexerYAML with parent parent and name name. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerYAML::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

QColor QsciLexerYAML::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

QColor QsciLexerYAML::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexer.

const char* QsciLexerYAML::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

QString QsciLexerYAML::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

void QsciLexerYAML::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

bool QsciLexerYAML::foldComments | ( |  | ) | const

Returns true if multi-line comment blocks can be folded.

See also:
  setFoldComments()

virtual void QsciLexerYAML::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then multi-line comment blocks can be folded. The default is false.

See also:
  foldComments()

bool QsciLexerYAML::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

bool QsciLexerYAML::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.